Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/fmap/dal/serverexplorer/filesystem/swing/FilesystemExplorerWizardPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/fmap/dal/serverexplorer/filesystem/swing/FilesystemExplorerWizardPanel.java	(revision 43151)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/fmap/dal/serverexplorer/filesystem/swing/FilesystemExplorerWizardPanel.java	(revision 43152)
@@ -574,206 +383,37 @@
          * @see javax.swing.filechooser.FileFilter#getDescription()
          */
         public String getDescription() {
-            return filter.getDescription();
+            return getFilter().getDescription();
         }
 
+        /**
+         * @return
+         */
         public String getName() {
-            return filter.getDataStoreProviderName();
+            return getFilter().getDataStoreProviderName();
         }
-    }
 
-    private List<FilesystemStoreParameters> chooseFilesParameters() {
-        
-        // this.callStateChanged(true);
-        
-        JFileChooser fileChooser =
-            new JFileChooser(OPEN_LAYER_FILE_CHOOSER_ID,
-                explorer.getCurrentPath());
-        fileChooser.setMultiSelectionEnabled(true);
-        fileChooser.setAcceptAllFileFilterUsed(false);
-
-        Iterator<MyFileFilter> iter = this.filters.iterator();
-        while (iter.hasNext()) {
-            fileChooser.addChoosableFileFilter(iter.next());
+        /**
+         * @return the filter
+         */
+        public FilesystemFileFilter getFilter() {
+            return filter;
         }
-        
-        if (filters.size() > 0) {
-            MyFileFilter firstf = filters.get(0);
-            // Set first filter
-            fileChooser.setFileFilter(firstf);
-        }
 
-        // If there is a last filter, use it
-        if (lastFilter != null && filters.contains(lastFilter)) {
-            fileChooser.setFileFilter(lastFilter);
+        /**
+         * @param filter the filter to set
+         */
+        public void setFilter(FilesystemFileFilter filter) {
+            this.filter = filter;
         }
-
-        int result = fileChooser.showOpenDialog(this);
-
-        List<FilesystemStoreParameters> toAdd = 
-            new ArrayList<FilesystemStoreParameters>();
-
-        if (result == JFileChooser.APPROVE_OPTION) {
-            lastFilter = (MyFileFilter) fileChooser.getFileFilter();
-            lastPath = fileChooser.getCurrentDirectory().getAbsolutePath();
-            JFileChooser.setLastPath(OPEN_LAYER_FILE_CHOOSER_ID, fileChooser.getCurrentDirectory());
-            String providerName = null;
-            if( lastFilter!=null ) {
-                if( !DEFAULT_FILTER.equalsIgnoreCase(lastFilter.getDescription()) ) {
-                    providerName = lastFilter.getName();
-                }
-            }
-            toAdd = this.getParametersList(
-                    fileChooser.getCurrentDirectory(), 
-                    fileChooser.getSelectedFiles(), 
-                    providerName
-            );
-        }
-        return toAdd;
     }
 
-    private List<FilesystemStoreParameters> getParametersList(File folder, File[] files, String providerName) {
-        ApplicationManager application = ApplicationLocator.getManager();
-        
-        PrepareContext context = this.getPrepareDataStoreContext();
-        
-        List<DataStoreParameters> params = new ArrayList<DataStoreParameters>();
-        List<DataStoreParameters> preparedParams = null;
-        List<FilesystemStoreParameters> returnParams = new ArrayList<FilesystemStoreParameters>();
-        
-        for ( File aFile : files ) {
-            String currentProvider = providerName;
-            DataStoreParameters param;
-            try {
-                if( folder == null) {
-                    explorer.setCurrentPath(aFile.getParentFile());
-                } else {
-                    explorer.setCurrentPath(folder);
-                }
-                if( currentProvider == null ) {
-                    for( int i=1; i<this.filters.size(); i++) {
-                        MyFileFilter filter = this.filters.get(i);
-                        if( filter.accept(aFile)) {
-                            currentProvider = filter.getName();
-                            break;
-                        }
-                    }
-                }
-                if( currentProvider == null ) {
-                    // TODO: ask user
-                    continue;
-                }
-                param = explorer.createStoreParameters(aFile, currentProvider);
-                if ( param == null ) {
-                    // TODO show warning
-                    continue;
-                }
-                params.add(param);
-
-            } catch (DataException e) {
-                NotificationManager.addError(e);
-                return null;
-            }
-        }
-
-        try {
-            preparedParams
-                    = application.prepareOpenDataStoreParameters(params, context);
-        } catch (Exception e) {
-            NotificationManager.addError(e);
-        }
-
-        if ( preparedParams != null ) {
-            for ( int i = 0; i < preparedParams.size(); i++ ) {
-                returnParams.add((FilesystemStoreParameters) preparedParams.get(i));
-            }
-        }
-        return returnParams;
+    protected void showPropertiesDialog(DynObject parameters) {
+        panel.showPropertiesDialog(parameters);
     }
 
-    protected abstract PrepareContext getPrepareDataStoreContext();
-
-    /**
-     * Refers to up/down/remove buttons etc. Called when selection changes
-     */
-    private void updateButtons() {
-        int selectedIndex = this.getFileList().getSelectedIndex();
-        int size = this.getFileList().getModel().getSize();
-        int[] selecteds = this.getFileList().getSelectedIndices();
-        if (size < 1) {
-            this.getPropertiesButton().setEnabled(false);
-            this.getRemoveButton().setEnabled(false);
-            this.getUpButton().setEnabled(false);
-            this.getDownButton().setEnabled(false);
-            return;
-        } else
-            if (size == 1) {
-                this.getUpButton().setEnabled(false);
-                this.getDownButton().setEnabled(false);
-            } else {
-                this.getUpButton().setEnabled(selectedIndex > 0);
-
-                this.getDownButton().setEnabled(
-                    selectedIndex > -1
-                        && selecteds[selecteds.length - 1] < size - 1);
-            }
-        this.getPropertiesButton().setEnabled(
-            selectedIndex > -1
-                && this.getFileList().getSelectedIndices().length == 1);
-        this.getRemoveButton().setEnabled(selectedIndex > -1);
+    protected PrepareContext getPrepareDataStoreContext() {
+        return panel.getPrepareDataStoreContext();
     }
 
-    public void close() {
-        this.dispose();
-    }
-
-    public void dispose() {
-        if (explorer != null) {
-            explorer.dispose();
-            explorer = null;
-        }
-        if (filters != null) {
-            filters.clear();
-            filters = null;
-        }
-    }
-    
-    class RefreshThread extends Thread {
-        
-        private int waitt = 0;
-        private JList comp = null;
-        
-        public RefreshThread(JList c, int t) {
-            waitt = t;
-            comp = c;
-        }
-        public void run() {
-            
-            try {
-                /*
-                 * We might need to wait a bit because the GUI thread needs
-                 * some time to update (this is because we have used a modal dialog
-                 * and we refresh after that dialog is closed)
-                 */
-                Thread.sleep(waitt);
-            } catch (Exception exc) {
-                
-            }
-            
-            SwingUtilities.invokeLater(new Runnable() {
-                public void run() {
-                    try {
-                        // System.out.println("REFRESH");
-                        comp.clearSelection();
-                    } catch (Exception exc) {
-                        LOG.info("Error while refreshing components.", exc);
-                    }
-                }
-            });
-        }
-    }    
-    
-    protected void fixParametersFromContext(final DynObject parameters) {
-        // By default do nothing
-    }
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/fmap/dal/serverexplorer/filesystem/swing/FilesystemExplorerTableWizardPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/fmap/dal/serverexplorer/filesystem/swing/FilesystemExplorerTableWizardPanel.java	(revision 43151)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/fmap/dal/serverexplorer/filesystem/swing/FilesystemExplorerTableWizardPanel.java	(revision 43152)
@@ -81,12 +81,12 @@
         DataStoreParameters[] parameters = this.getParameters();
         List<TableDocument> tabledocs =
             new ArrayList<>(parameters.length);
-        
+
         Set<String> not_valid = new HashSet<>();
-        
+
         for (DataStoreParameters params : parameters) {
             store = null;
-            
+
             /*
              * Try to validate.
              */
@@ -104,7 +104,7 @@
                             }
                             buffer.append(exx.getMessage());
                         }
-                        
+
                     }
                 }
                 String msg = params.getDataStoreName();
@@ -115,7 +115,7 @@
                 not_valid.add(msg);
                 continue;
             }
-            
+
             try {
 
                 DataManager dataManager = DALLocator.getDataManager();
@@ -140,7 +140,7 @@
             }
 
         }
-        
+
         if (not_valid.size() > 0) {
             String not_str = not_valid.toString();
             JOptionPane.showMessageDialog(
@@ -162,7 +162,7 @@
                 public Window getOwnerWindow() {
                     return null;
                 }
-                
+
                 @Override
                 public IProjection getViewProjection() {
                 	return null;
@@ -182,11 +182,10 @@
     @Override
     protected void showPropertiesDialog(final DynObject parameters) {
         FilesystemExplorerPropertiesPanelManager manager = ApplicationLocator.getFilesystemExplorerPropertiesPanelManager();
-        FilesystemExplorerPropertiesPanel panel = manager.createPanel(parameters);        
+        FilesystemExplorerPropertiesPanel panel = manager.createPanel(parameters);
         panel.setExcludeGeometryOptions(true);
         manager.showPropertiesDialog(parameters, panel);
-        
-        refreshFileList();
     }
-    
+
+
 }
